GetbeelDocs
API referenceCompanies

Get the account or one of its client companies

GET
/companies/{id}

Authorization

apiKey
headerAuthorizationBearer <token>

API key: gb_test_… or gb_live_…

Path Parameters

id*string

A client company id, or the key's own account id

Formatuuid

Response Body

OK

application/json
  1. response
object*string
id*string

Send it as the Getbeel-Company header (or the MCP company_id argument) to act on this company

Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
name*string
slug*string|null
parent_id*|

The parent (platform) account, null for the parent itself and for standalone accounts

company*|null
sdi_readiness*
Example Request
curl -X GET 'https://www.getbeel.com/api/v1/companies/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
{  "object": "company",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "slug": "string",  "parent_id": "1c6ca187-e61f-4301-8dcb-0e9749e89eef",  "company": {    "name": "string",    "vat_number": "string",    "codice_fiscale": "string",    "regime_fiscale": "RF01",    "country": "string",    "address": "string",    "street_number": "string",    "postal_code": "string",    "city": "string",    "province": "string",    "preferred_currency": "string",    "sdi_configured": true  },  "sdi_readiness": {    "ready": true,    "missing": [      "name"    ]  }}